<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes List</title>
  </head>

  <style>
    .table-content {
      border-collapse: collapse;
      border-radius: 7px 7px 0 0;
      margin: 20px 0;
      min-width: 550px;
      font-size: 1.1em;
      overflow: hidden;
      box-shadow: 0 0 25px black;
    }

    .table-content thead tr {
      background-color: #887777;
      color:#ffffff;
      text-align: left;
      font-weight: bold;
    }

    .table-content th,
    .table-content td {
      padding: 12px 15px;
    }

    .table-content tbody tr {
      border-bottom: 1px solid #ffffff;
    }

    .table-content tbody tr:nth-of-type(odd) {
      background-color: rgb(218, 218, 218);
    }

    .table-content tbody tr:last-of-type {
      border-bottom: 3px solid #887777;
    }

    @media only screen and (max-width: 600px) {
    body {
    background-color: lightblue;
  }
}
  </style>

  <body>
    {% include "navigation.html" %}
    <h1>Note List</h1>
    <table class = "table-content">
      <thead>
        <tr>
          <th>From</th>
          <th>To</th>
          <th>Title</th>
          <th>Messages</th>
        </tr>
    </thead>
      <!-- loop from Note model -->
      <tr>
        {% for i in notes %}
         <tr>
          <td> {{ i.noteFrom }} </td>
          <td> {{ i.noteTo }} </td>
          <td> {{ i.noteTitle }} </td>
          <td> {{ i.noteMessage }} </td>
         </tr>
        {% endfor %}
      </tr>
    </table>
  </body>
</html>